/*
 *   Copyright 2010 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.ws;

import javax.jws.WebService;
import net.brutex.xservices.types.ReturnCode;
import net.brutex.xservices.util.RunTask;
import org.apache.tools.ant.taskdefs.HostInfo;

/**
 *
 * @author Brian Rosenberger, bru@brutex.de
 */
@WebService(endpointInterface="net.brutex.xservices.ws.MiscService",
serviceName="MiscService")
public class MiscServiceImpl implements MiscService {

    public ReturnCode getHostinfo(String hostname) {
        return antGetHostinfo(hostname, "");
    }

    private ReturnCode antGetHostinfo(String hostname, String prefix) {
        HostInfo info = new HostInfo();
        info.setTaskName("HostInfo");
        RunTask runner = new RunTask(info);
        info.setHost(hostname);
        info.setPrefix(prefix);
        return runner.postTask();
    }

}
